Datasets
GET
/v1/orgs/{org_id}/datasets/{dataset_id}Get Dataset
Get a single evaluation dataset.
Bearer token or X-API-Keyscope: org memberoperation_id: datasets.get
Authentication
Send either Authorization: Bearer <token> or X-API-Key: <token>. Any org token with sufficient scope. Create tokens from the console or the /v1/orgs/{org_id}/tokens endpoints. Requests without a valid credential are rejected with 401.
SDK install
pip install znyx-sdknpm install @znyx/sdkCode samples
Request
curl -X GET "$ZNYX_API_URL/v1/orgs/00000000-0000-0000-0000-000000000000/datasets/00000000-0000-0000-0000-000000000000" \ -H "Authorization: Bearer $ZNYX_TOKEN"
Response
application/json
Successful Response
{
"id": "string",
"name": "string",
"description": null,
"category": null,
"trust_level": "string",
"source": "string",
"sample_count": 0,
"is_public": false,
"created_by": null,
"created_at": null,
"updated_at": null
}Schema: object
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| org_id#path | string | required | - |
| dataset_id#path | string | required | - |
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-API-Key#header | string | null | optional | - |
| authorization#header | string | null | optional | - |
Responses
| Status | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Response schema
idrequiredstring
namerequiredstring
descriptionstring | null
categorystring | null
trust_levelstring
sourcestring
sample_countinteger
is_publicboolean
created_bystring | null
created_atstring | null
updated_atstring | null
Errors & what triggers them
| Code | Trigger | Fix |
|---|---|---|
| 401 | Missing or expired Authorization header. | - |
| 403 | Token does not have org access (wrong org_id, or insufficient role). | - |
| 404 | Resource does not exist in this org. | - |